<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ParameterValueSources" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ParameterValueSources">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Parameters" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The MethodParameters instance whose property values are to be set.</cim:Qualifier>
<cim:Classorigin name="CIM_ParameterValueSources"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="ValueSource" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The ManagedElement that contains properties to be used to populate the values of the properties of the MethodParameters instance.</cim:Qualifier>
<cim:Classorigin name="CIM_ParameterValueSources"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_ParameterValueSources" type="class:CIM_ParameterValueSources_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_ParameterValueSources"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.10.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Core::MethodParms</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">ParameterValueSources represents the association between a MethodParameters instance and the ManagedElement instances, which contain properties to be used to create values for the MethodParameters properties.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_ParameterValueSources_Type">
<xs:sequence>
<xs:element ref="class:Parameters"/>
<xs:element ref="class:ValueSource"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
